Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367324 - Puppet doc should mention to update the module version number after changes
Summary: Puppet doc should mention to update the module version number after changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Puppet Guide
Version: 6.2.0
Hardware: All
OS: All
low
low vote
Target Milestone: 6.2
Assignee: Stephen Wadeley
QA Contact: Brandi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 08:22 UTC by Stefan Meyer
Modified: 2018-12-06 20:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 23:33:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2357571 None None None 2016-10-17 12:01:19 UTC

Description Stefan Meyer 2016-08-16 08:22:40 UTC
Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/puppet-guide/210-finalizing-the-module

Section Number and Name: 
2.10

Describe the issue:
If a smart class parameter is added or changed in a Puppet module the changes are only reflected in Satellite if the module version is increased. Else the Satellite does not recognise the changed module and smart class parameter.

Suggestions for improvement: 
Customers should be made aware that the version number must be increased.

Additional information:

Comment 1 Andrew Dahms 2016-08-23 00:30:13 UTC
Assigning to Stephen for review.

Comment 6 Brandi 2016-09-06 17:16:32 UTC
Steven, 

The changes look good. I approved the Merge Request and am moving the bug to Verified. 

Thanks!
Brandi

Comment 7 Andrew Dahms 2016-09-06 23:33:15 UTC
This content is now live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.